## GtkPreview GtkPreview |

## Functions

void | gtk_preview_uninit ()
GtkWidget * | gtk_preview_new ()
void | gtk_preview_size ()
void | gtk_preview_put ()
void | gtk_preview_draw_row ()
void | gtk_preview_set_expand ()
void | gtk_preview_set_gamma ()
void | gtk_preview_set_color_cube ()
void | gtk_preview_set_install_cmap ()
void | gtk_preview_set_reserved ()
void | gtk_preview_set_dither ()
GdkVisual * | gtk_preview_get_visual ()
GdkColormap * | gtk_preview_get_cmap ()
GtkPreviewInfo * | gtk_preview_get_info ()
void | gtk_preview_reset ()

## Properties

gboolean | expand | Read / Write

## Types and Values

struct | GtkPreview
struct | GtkPreviewInfo
union | GtkDitherInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkPreview

## Implemented Interfaces

GtkPreview implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_preview_uninit ()

    void
    gtk_preview_uninit (void);

`gtk_preview_uninit` is deprecated and should not be used in newly-written code.

### gtk_preview_new ()

    GtkWidget *
    gtk_preview_new (GtkPreviewType type);

`gtk_preview_new` is deprecated and should not be used in newly-written code.

### gtk_preview_size ()

    void
    gtk_preview_size (GtkPreview *preview,
                      gint width,
                      gint height);

`gtk_preview_size` is deprecated and should not be used in newly-written code.

### gtk_preview_put ()

    void
    gtk_preview_put (GtkPreview *preview,
                     GdkWindow *window,
                     GdkGC *gc,
                     gint srcx,
                     gint srcy,
                     gint destx,
                     gint desty,
                     gint width,
                     gint height);

`gtk_preview_put` is deprecated and should not be used in newly-written code.

### gtk_preview_draw_row ()

    void
    gtk_preview_draw_row (GtkPreview *preview,
                          guchar *data,
                          gint x,
                          gint y,
                          gint w);

`gtk_preview_draw_row` is deprecated and should not be used in newly-written code.

### gtk_preview_set_expand ()

    void
    gtk_preview_set_expand (GtkPreview *preview,
                            gboolean expand);

`gtk_preview_set_expand` is deprecated and should not be used in newly-written code.

### gtk_preview_set_gamma ()

    void
    gtk_preview_set_gamma (double gamma_);

`gtk_preview_set_gamma` is deprecated and should not be used in newly-written code.

### gtk_preview_set_color_cube ()

    void
    gtk_preview_set_color_cube (guint nred_shades,
                                guint ngreen_shades,
                                guint nblue_shades,
                                guint ngray_shades);

`gtk_preview_set_color_cube` is deprecated and should not be used in newly-written code.

### gtk_preview_set_install_cmap ()

    void
    gtk_preview_set_install_cmap (gint install_cmap);

`gtk_preview_set_install_cmap` is deprecated and should not be used in newly-written code.

### gtk_preview_set_reserved ()

    void
    gtk_preview_set_reserved (gint nreserved);

`gtk_preview_set_reserved` is deprecated and should not be used in newly-written code.

### gtk_preview_set_dither ()

    void
    gtk_preview_set_dither (GtkPreview *preview,
                            GdkRgbDither dither);

`gtk_preview_set_dither` is deprecated and should not be used in newly-written code.

### gtk_preview_get_visual ()

    GdkVisual *
    gtk_preview_get_visual (void);

`gtk_preview_get_visual` is deprecated and should not be used in newly-written code.

### gtk_preview_get_cmap ()

    GdkColormap *
    gtk_preview_get_cmap (void);

`gtk_preview_get_cmap` is deprecated and should not be used in newly-written code.

### gtk_preview_get_info ()

    GtkPreviewInfo *
    gtk_preview_get_info (void);

`gtk_preview_get_info` is deprecated and should not be used in newly-written code.

### gtk_preview_reset ()

    void
    gtk_preview_reset (void);

`gtk_preview_reset` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkPreview

    struct GtkPreview;

`GtkPreview` is deprecated and should not be used in newly-written code.

### struct GtkPreviewInfo

    struct GtkPreviewInfo {
      guchar *lookup;

      gdouble gamma;
    };

`GtkPreviewInfo` is deprecated and should not be used in newly-written code.

### union GtkDitherInfo

`GtkDitherInfo` is deprecated and should not be used in newly-written code.

## Property Details

### The `“expand”` property

      “expand”                   gboolean

Whether the preview widget should take up the entire space it is allocated.

Flags: Read / Write

Default value: FALSE